This is a list of breaking changes and the API version in which they were introduced.
- Added
dateToCheckToKeepGrace,dateToCheckToKeepGraceCanceledAt, anddateToCheckToRestoreGraceto thegracePeriodobject on obligations. - Draw
atOrigination.gracePeriodgainednumPeriodsToEvaluateGraceandminPaymentCalculationOverride.
GET /people/{personId}/loans/{loanId}/drawsPOST /people/{personId}/loans/{loanId}/drawsGET /people/{personId}/loans/{loanId}/draws/{drawId}PUT /people/{personId}/loans/{loanId}/draws/{drawId}POST /people/{personId}/loans/{loanId}/draws/{drawId}/credit-limitGET /people/{personId}/loans/{loanId}/draws/{drawId}/obligationsGET /people/{personId}/loans/{loanId}/draws/{drawId}/obligations/{obligationId}GET /people/{personId}/loans/{loanId}/obligationsGET /people/{personId}/loans/{loanId}/obligations/{obligationId}
- Borrower field
borrowerTypewas added. - Borrower field
collectionsIntensitywas changed to be not read only. - Fixed User object schema:
user.employeeshould only have a subset of full employee properties. - Fixed Employee object schema:
availableAndPermittedTasktypesshould be a read only array. - Removed deprecated property
gracePeriodfrom Line of Credit statement details. - Fixed transaction object schema: transaction objects have a
metaDataproperty. - Renamed
idsOnlyenum option tominimalin the API request parameters for /loans. - Removed deprecated
statusproperty from template version objects. GET /people/{personId}/loans/{loanId}/refundsreturned v2 refund fields, consistent with theGET /companies/{companyId}/people/{personId}/loans/{loanId}/refundsendpoint.
GET /communicator/templatedescriptors/{descriptorId}/templatesGET /communicator/templatesPOST /communicator/templatesGET /communicator/templates/{templateVersionId}PUT /communicator/templates/{templateVersionId}GET /employeesPOST /employeesGET /employees/{employeeId}PUT /employees/{employeeId}GET /loansPOST /people/{personId}/loans/{loanId}/migration/past-transactionGET /people/{personId}/loans/{loanId}/refundsGET /people/{personId}/loans/{loanId}/statements/{statementId}/detailsPOST /people/{personId}/loans/{loanId}/transactionsGET /usersPOST /usersGET /users/{userId}PUT /users/{userId}GET /v2/communicator/templates
- This is an empty change created to facilitate deployment of the API Versioning system. It does not change the schema or transform requests/responses.
- This is the base version of the API.